# class Rational

### Public Class Methods

yaml_new( klass, tag, val ) click to toggle source

    # File lib/syck/rubytypes.rb, line 399
    def Rational.yaml_new( klass, tag, val )
            if val.is_a? String
                    Rational( val )
            else
                    Rational( val['numerator'], val['denominator'] )
            end
    end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 406
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( self, opts ) do |out|
                    out.map( taguri, nil ) do |map|
                            map.add( 'denominator', denominator )
                            map.add( 'numerator', numerator )
                    end
            end
    end